URL: https://wiki.studiominus.nl/internalReference/Preferences.html
Title: People Playground Modding - Preferences
==================================================

public class Preferences
No description provided
Fields
public CollisionQuality CollisionQuality
[Setting(C.General, "Collision quality", "Determines the quality of the collision detection. " + "Discrete mode is much faster, but less accurate. " + "Continuous mode prevents objects from passing through each other at high velocities. " + "Dynamic mode switches between the two based on velocity.")] [Sort(0)]
No description provided

public ToolControllerBehaviour.ToolSelectionMode ToolSelectionMode
[Setting(C.General, "Selection mode", "Determines what method is used to get which object is selected. " + "Mass picks the object with the smallest mass. " + "Area picks the object with the smallest overall area. " + "Depth picks the object with the highest sorting order. Basically, picks the first object you see, usually.")] [Sort(0)]
No description provided

public bool StopAnimationOnDamage
[Setting( C.General, "Stop animation on damage", "When enabled, entities will reset their animation override if they are damaged. " + "For example, a human will stop walking when shot.")]
No description provided

public bool DropOnDeath
[Setting( C.General, "Drop on death", "When enabled, humans and androids will drop objects when their arms aren't capable of holding on anymore. This is usually when they die or when their arms are shot. Default is on.")]
No description provided

public float ShakeIntensity
[Setting( C.General, "Screenshake intensity", "Adjust the intensity of the screenshake. Default is 1x.")] [Range(0, 2)] [Format("{0}x", 1, 2)] [Step(0.01f)]
No description provided

public bool ShowOutlines
[Setting( C.General, "Show hovering highlights", "Toggle whether selection, freezing, and wire highlights are drawn or not. Useful for recording.")]
No description provided

public float SlowMotionSpeed
[Setting( C.General, "Slow motion speed modifier", "Determines how much slower the time will pass in slow motion mode. Default is 20%.")] [Range(1, 100)] [Format("{0}%")] [Step(1)]
No description provided

public bool AmbientTemperatureTransfer
[Setting( C.General, "Ambient temperature transfer", "Heat will travel through the air when this is enabled.\n" + "If disabled, heat can only be transferred through heat pipes and direct contact.\nThis setting may decrease performance when enabled. " + "It is disabled by default.")] [Sort(4)]
No description provided

public int PhysicsIterations
[Setting( C.General, "Physics iteration count", "Determines the amount of physics iterations for the physics simulation. " + "Higher values cause the simulation to be more accurate at the cost of performance. " + "Values greater than 128 may have diminishing returns. " + "Default is 32.")] [Range(8, 256)] [Sort(1)] [Format("{0} iterations")]
No description provided

public float GridSnap
[Setting( C.General, "Snap grid size", "The distance between grid points used for translational snapping. " + "This helps in aligning objects more precisely by snapping their position to the nearest grid point. " + "Default is 0.25 m")] [Range(1/10f, 2)] [Step(0.05f)] [Format("{0} m", 1, 2)]
No description provided

public int AngleSnap
[Setting( C.General, "Angle snap size", "The angle increment used for snapping during rotation. " + "This helps in aligning objects more precisely by snapping their rotation to the nearest multiple of this value. " + "Default is 15 degrees")] [Range(5, 90)] [Format("{0} degrees")]
No description provided

public bool ShowModLoadingFreeze
[Setting( C.General, "Alert when mods significantly affect loading times", "When enabled, an alert will appear when mods cause increased loading times.")]
No description provided

public bool RejectShadyCode
[Setting( C.General, "Reject suspicious mods", "When enabled, the game will reject mods with suspicious code. Takes effect after restart. \n" + "<color=#F55><b>It is recommended to keep this enabled. Mods that ask you to disable this setting should be reported.")]
No description provided

public int MaxModCompilationTime
[Setting( C.General, "Maximum mod compilation time", "The maximum amount of seconds that a mod can compile for until it's skipped.")] [Range(2, 120f)] [Format("{0} seconds")]
No description provided

public bool GorelessMode
[Setting( C.Gore, "Goreless", "No blood or obvious gore will be rendered when this is enabled.")] [Sort(-1)]
No description provided

public bool ProceduralFragments
[Setting( C.Gore, "Procedural fragments", "Enabling this will cause the generation of procedural flesh and bone fragments on full limb crush. This may cause performance issues when lots of limbs are destroyed.")] [Sort(-1)]
No description provided

public float FragilityMultiplier
[Setting( C.Gore, "Fragility multiplier", "The higher this value is the more fragile entities become.")] [Range(0.05f, 2)] [Format("{0}x", 1, 3)] [Step(0.05f)]
No description provided

public bool LimbCrushing
[Setting( C.Gore, "Limb crushing", "Toggle whether limbs are fully destroyable or not. When enabled, limbs will turn into red mist under extreme pressure.")]
No description provided

public bool BrainDamage
[Setting( C.Gore, "Brain damage", "Toggle whether brain damage can occur. It causes organisms to occasionally pass out, fail to stand upright, and have seizures.")]
No description provided

public bool LimbOverflowExplosion
[System.Obsolete] [HideInSettingsMenu] [Setting( C.Gore, "Liquid overflow limb exploding", "Toggle whether limbs explode when too full of liquid. Disabled by default. " + "Will only take effect if limb crushing is enabled.")]
No description provided

public GoreShaderMode GoreMode
[Setting( C.Gore, "Gore shader", "Choose between different gore shaders.")]
No description provided

public bool AutoHealWounds
[Setting( C.Gore, "Slowly heal injuries", "Wounds and injuries will slowly heal on living organisms when this is enabled.")]
No description provided

public bool ChunkyShotParticles
[Setting( C.Gore, "Extra shot impact particles", "Limbs with enough flesh on them may eject chunky particles when shot.")]
No description provided

public bool DismembermentLooseTissue
[Setting( C.Gore, "Dismemberment loose tissue", "Dismemberment of limbs may expose loose stringy tissue.")]
No description provided

public float CrushForceMultiplier
[Setting( C.Gore, "Limb crushing sensitivity", "Determines how much force is needed to crush a limb. Default is 100%.")] [Range(0, 2)] [Format("{0}%", 100)] [Step(0.05f)]
No description provided

public BloomMode BloomMode
[Setting( C.VisualEffects, "Bloom", "Bloom is a post processing effect that gives the illusion of objects being extremely bright.")] [Sort(7)]
No description provided

public bool TracerBullets
[Setting( C.VisualEffects, "Bullet tracers", "Toggle whether bullets have travel time and display tracers. This degrades performance. Off by default.")]
No description provided

public bool FancyEffects
[Setting( C.VisualEffects, "Fancy effects", "This will toggle relatively performance-heavy effects.")]
No description provided

public bool Decals
[Setting( C.VisualEffects, "Decals", "Toggle whether decals are created. Disabling decals may improve performance.")]
No description provided

public bool Lighting
[Setting( C.VisualEffects, "Lighting", "The lighting system makes dark areas actually dark, and makes light-emitting objects useful. " + "Disabling lighting will make everything \"full bright\". Lighting has very little impact on performance.")]
No description provided

public float MasterVolume
[Setting( C.Audio, "Master", "The volume of the entire application.")] [Range(0, 1)] [Sort(0)] [Format("{0}%", 100)] [Step(0.01f)]
No description provided

public float SfxVolume
[Setting( C.Audio, "Sound effects", "The volume of all items and effects in the game.")] [Range(0, 1)] [Sort(1)] [Format("{0}%", 100)] [Step(0.01f)]
No description provided

public float UserInterfaceVolume
[Setting( C.Audio, "User interface", "The volume of UI elements.")] [Range(0, 1)] [Sort(3)] [Format("{0}%", 100)] [Step(0.01f)]
No description provided

public float AmbienceVolume
[Setting( C.Audio, "Ambience", "The volume of the ambient hum and other background noises.")] [Range(0, 1)] [Sort(2)] [Format("{0}%", 100)] [Step(0.01f)]
No description provided

public float AmbienceHighpassCutoff
[Setting( C.Audio, "Ambience Highpass", "Highpass cutoff. Ambient audio will not play any audio below this frequency. This is useful if you suffer from crackling audio issues. 90 Hz is the default and recommended value here.")] [Range(50, 500)] [Sort(3)] [Format("{0} Hz")] [Step(1)]
No description provided

public bool ClampVolume
[Setting( C.Audio, "Clamp audio volume", "Audio can play at volumes that exceed set limits. It is recommended you keep this turned on to prevent hearing damage. You disable this at your own risk!")]
No description provided

public bool DistantSoundEffects
[Setting( C.Audio, "Distant sound effects", "When enabled, things like explosions and guns can be heard reflecting and echoing in the distance. Disabling this setting makes audio processing a bit less demanding.")]
No description provided

public bool BulletCrackWhiz
[Setting( C.Audio, "Bullet cracks and whizzes", "When enabled, supersonic bullets can make whip crack and whiz-by sounds.")]
No description provided

public bool LogDebugMessages
[Setting( C.UserInterface, "Log debug messages", "Debug messages will be logged as notifications in-game. Messages include warnings, errors, and unhandled exceptions. It is recommended to keep this off.")]
No description provided

public bool ShowFramerate
[Setting( C.UserInterface, "Show framerate", "Displays the current framerate in the top-right of the screen.")]
No description provided

public float ZoomSensitivity
[Setting( C.UserInterface, "Zoom scroll wheel sensitivity", "Determines how fast zooming using the mouse wheel is. Default is 1x.")] [Range(0, 2)] [Format("{0}x", 1, 2)] [Step(0.1f)]
No description provided

public int ThermalVisionUpdateRate
[Setting( C.UserInterface, "Thermal vision update rate", "How often should the thermal vision be updated?")] [Range(10, 60)] [Format("{0} Hz")] [Step(5)]
No description provided

public bool DeleteWireByContextMenu
[Setting( C.UserInterface, "Wires with context menu", "Toggle whether wires block the context menu for the underlying object.")]
No description provided

public TemperatureUnit TemperatureUnit
[Setting( C.UserInterface, "Temperature unit", "Determines the temperature unit used throughout the game. Celsius by default.")] [Sort(5)]
No description provided

public bool VSync
[Setting( C.Video, "Vsync", "With Vsync turned on, the framerate will be capped to the refresh rate of your monitor. This minimises screen tearing.")] [Sort(1)]
No description provided

public bool SMAA
[Setting( C.Video, "Anti-aliasing (SMAA)", "Anti-aliasing attempts to get rid of jagged edges.")]
No description provided

public TonemappingMode TonemappingMode
[Setting( C.Video, "Tonemapping", "Change the way HDR colours are displayed.")] [Sort(5)]
No description provided

public float Brightness
[Setting( C.Video, "Brightness", "Modify the final exposure value. Default is 100%")] [Range(10, 400)] [Format("{0}%")] [Sort(4)] [Step(5)]
No description provided

public float RenderScale
[Setting( C.Video, "Render scale", "Downscale the resolution that the game is being rendered at.\n<b><color=#ff9>This only applies when the window mode is set to Borderless or Fullscreen.")] [Range(.25f, 1f)] [Option(.25f, .5f, .75f, 1f)] [Sort(1)] [Format("{0}%", 100)]
No description provided

public int FramerateLimit
[Setting( C.Video, "Framerate limit", "Determine the upper bound of the framerate.\n<color=#ff9><b>This will only take effect if Vsync is disabled.")] [Range(30, 1000)] [Sort(3)] [Format("{0} fps")]
No description provided

public bool SimplifiedBackground
[Setting( C.Video, "Simplified background tiles", "A simplified background may help decrease compression artifacts in screen recordings. Simplified rendering does not increase performance.")]
No description provided

public WindowMode WindowMode
[Setting( C.Video, "Window mode", "Determines the way the window is presented.")] [Sort(0)]
No description provided

public Vector2Int? Resolution
[HideInSettingsMenu]
No description provided

public bool ShowTutorial
[HideInSettingsMenu]
No description provided

public float ToyboxSizeOffset
[HideInSettingsMenu]
No description provided